Bug 1047528 - F-Spot crashes when starting
Summary: F-Spot crashes when starting
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: f-spot
Version: 20
Hardware: i686
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Christian Krause
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-31 14:46 UTC by fedo20
Modified: 2015-06-29 13:59 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 13:59:32 UTC
Type: Bug


Attachments (Terms of Use)

Description fedo20 2013-12-31 14:46:52 UTC
F-Spot crashes when starting on Fedora 2O up-to-date.

Ver: 0.8.2-11.fc20

Bug very reproducible.

Just launch to reproduce the bug.


F-Spot encountered a fatal error
Object reference not set to an instance of an object
Error details:

An unhandled exception was thrown: Object reference not set to an instance of an object

  at FSpot.Widgets.PhotoImageView.LoadErrorImage (System.Exception e) [0x00000] in <filename unknown>:0 
  at FSpot.Widgets.PhotoImageView.HandlePhotoItemChanged (System.Object sender, FSpot.Core.BrowsablePointerChangedEventArgs args) [0x00000] in <filename unknown>:0 
  at (wrapper delegate-invoke) <Module>:invoke_void__this___object_BrowsablePointerChangedEventArgs (object,FSpot.Core.BrowsablePointerChangedEventArgs)
  at FSpot.Core.BrowsablePointer.SetIndex (Int32 value, IBrowsableItemChanges changes) [0x00000] in <filename unknown>:0 
  at FSpot.Core.BrowsablePointer.HandleCollectionChanged (IBrowsableCollection collection) [0x00000] in <filename unknown>:0 
  at (wrapper delegate-invoke) <Module>:invoke_void__this___IBrowsableCollection (FSpot.Core.IBrowsableCollection)
  at (wrapper delegate-invoke) <Module>:invoke_void__this___IBrowsableCollection (FSpot.Core.IBrowsableCollection)
  at FSpot.PhotoQuery.RequestReload () [0x00000] in <filename unknown>:0 
  at FSpot.QueryWidget.Close () [0x00000] in <filename unknown>:0 
  at FSpot.MainWindow.UpdateFindByTagMenu () [0x00000] in <filename unknown>:0 
  at FSpot.MainWindow..ctor (FSpot.Database.Db db) [0x00000] in <filename unknown>:0 
  at FSpot.App.get_Organizer () [0x00000] in <filename unknown>:0 
  at FSpot.App.HandleOrganize () [0x00000] in <filename unknown>:0 
  at FSpot.App.Organize () [0x00000] in <filename unknown>:0 
  at FSpot.Driver.Startup () [0x00000] in <filename unknown>:0 
  at Hyena.Gui.CleanRoomStartup.Startup (Hyena.Gui.StartupInvocationHandler startup) [0x00000] in <filename unknown>:0 

.NET Version: 2.0.50727.1433
OS Version: Unix 3.12.5.302

Assembly Version Information:

Mono.Cairo (2.0.0.0)
FSpot.Bling (0.8.0.0)
TagLib (0.8.0.0)
pango-sharp (2.12.0.0)
FSpot.Query (0.8.0.0)
gtk-sharp-beans (2.14.0.0)
gnome-sharp (2.24.0.0)
Hyena.Data.Sqlite (0.8.0.0)
FSpot.JobScheduler (0.8.0.0)
unique-sharp (1.0.0.0)
System.Configuration (2.0.0.0)
FSpot.Gui (0.8.0.0)
System.Xml (2.0.0.0)
Mono.Addins (0.6.0.0)
Mono.Addins.Setup (0.6.0.0)
gconf-sharp (2.24.0.0)
Hyena.Gui (0.8.0.0)
atk-sharp (2.12.0.0)
System (2.0.0.0)
gtk-sharp (2.12.0.0)
FSpot.Cms (0.8.0.0)
FSpot.Core (0.8.0.0)
FSpot.Platform (0.8.0.0)
Mono.Posix (2.0.0.0)
gdk-sharp (2.12.0.0)
Hyena (0.8.0.0)
System.Core (3.5.0.0)
glib-sharp (2.12.0.0)
FSpot.Utils (0.8.0.0)
f-spot (0.8.0.0)
mscorlib (2.0.0.0)

Platform Information: Linux 3.12.5-302.fc20.i686 i686 i386 GNU/Linux

Disribution Information:

[/etc/fedora-release]
Fedora release 20 (Heisenbug)

[/etc/os-release]
NAME=Fedora
VERSION="20 (Heisenbug)"
ID=fedora
VERSION_ID=20
PRETTY_NAME="Fedora 20 (Heisenbug)"
ANSI_COLOR="0;34"
CPE_NAME="cpe:/o:fedoraproject:fedora:20"
HOME_URL="https://fedoraproject.org/"
BUG_REPORT_URL="https://bugzilla.redhat.com/"
REDHAT_BUGZILLA_PRODUCT="Fedora"
REDHAT_BUGZILLA_PRODUCT_VERSION=20
REDHAT_SUPPORT_PRODUCT="Fedora"
REDHAT_SUPPORT_PRODUCT_VERSION=20

[/etc/redhat-release]
Fedora release 20 (Heisenbug)

[/etc/system-release]
Fedora release 20 (Heisenbug)



f-spot --debug:

** Running f-spot in Debug Mode **
** Running Mono with --debug   **
[1 Info  15:41:49.952] Initializing Mono.Addins
[1 Debug 15:41:50.315] Mono.Addins Initialization took 0,330055
[1 Debug 15:41:50.781] Db Initialization took 0,157756

(f-spot:1632): GLib-GObject-WARNING **: Attempt to add property __gtksharp_8_FSpot_Widgets_CellRendererTextProgress::value after class was initialised

(f-spot:1632): GLib-GObject-WARNING **: Attempt to add property __gtksharp_8_FSpot_Widgets_CellRendererTextProgress::text after class was initialised
[1 Debug 15:41:51.539] Query Started : SELECT * FROM photos  WHERE  photos.id NOT IN (SELECT photo_id FROM photo_tags WHERE tag_id = 2) ORDER BY  time DESC, filename ASC 
[1 Debug 15:41:51.542] QueryToTemp took 0,003196 : SELECT * FROM photos  WHERE  photos.id NOT IN (SELECT photo_id FROM photo_tags WHERE tag_id = 2) ORDER BY  time DESC, filename ASC 
[1 Debug 15:41:51.543] Reloading the query took 0,00677
[4 Debug 15:41:51.787] PhotosPerMonth took 0,001189
[4 Debug 15:41:51.793] TimeAdaptor REAL Reload took 0,215127
[1 Debug 15:41:52.097] Query Started : SELECT * FROM photos  WHERE  photos.id NOT IN (SELECT photo_id FROM photo_tags WHERE tag_id = 2) ORDER BY  time DESC, filename ASC 
[1 Debug 15:41:52.100] QueryToTemp took 0,003087 : SELECT * FROM photos  WHERE  photos.id NOT IN (SELECT photo_id FROM photo_tags WHERE tag_id = 2) ORDER BY  time DESC, filename ASC 
[1 Warn  15:41:52.166] Caught an exception - System.NullReferenceException: Object reference not set to an instance of an object (in `f-spot')
  at FSpot.Widgets.PhotoImageView.LoadErrorImage (System.Exception e) [0x00007] in /builddir/build/BUILD/f-spot-0.8.2/src/Clients/MainApp/FSpot.Widgets/PhotoImageView.cs:281 
  at FSpot.Widgets.PhotoImageView.HandlePhotoItemChanged (System.Object sender, FSpot.Core.BrowsablePointerChangedEventArgs args) [0x00178] in /builddir/build/BUILD/f-spot-0.8.2/src/Clients/MainApp/FSpot.Widgets/PhotoImageView.cs:320 
Object reference not set to an instance of an object
System.NullReferenceException: Object reference not set to an instance of an object
  at FSpot.Widgets.PhotoImageView.LoadErrorImage (System.Exception e) [0x00007] in /builddir/build/BUILD/f-spot-0.8.2/src/Clients/MainApp/FSpot.Widgets/PhotoImageView.cs:281 
  at FSpot.Widgets.PhotoImageView.HandlePhotoItemChanged (System.Object sender, FSpot.Core.BrowsablePointerChangedEventArgs args) [0x0018b] in /builddir/build/BUILD/f-spot-0.8.2/src/Clients/MainApp/FSpot.Widgets/PhotoImageView.cs:323 
  at (wrapper delegate-invoke) <Module>:invoke_void__this___object_BrowsablePointerChangedEventArgs (object,FSpot.Core.BrowsablePointerChangedEventArgs)
  at FSpot.Core.BrowsablePointer.SetIndex (Int32 value, IBrowsableItemChanges changes) [0x00031] in /builddir/build/BUILD/f-spot-0.8.2/src/Core/FSpot.Core/FSpot.Core/BrowsablePointer.cs:119 
  at FSpot.Core.BrowsablePointer.HandleCollectionChanged (IBrowsableCollection collection) [0x00038] in /builddir/build/BUILD/f-spot-0.8.2/src/Core/FSpot.Core/FSpot.Core/BrowsablePointer.cs:139 
  at (wrapper delegate-invoke) <Module>:invoke_void__this___IBrowsableCollection (FSpot.Core.IBrowsableCollection)
  at (wrapper delegate-invoke) <Module>:invoke_void__this___IBrowsableCollection (FSpot.Core.IBrowsableCollection)
  at FSpot.PhotoQuery.RequestReload () [0x000fb] in /builddir/build/BUILD/f-spot-0.8.2/src/Clients/MainApp/FSpot/PhotoQuery.cs:281 
  at FSpot.QueryWidget.Close () [0x00057] in /builddir/build/BUILD/f-spot-0.8.2/src/Clients/MainApp/FSpot/QueryWidget.cs:148 
  at FSpot.MainWindow.UpdateFindByTagMenu () [0x00010] in /builddir/build/BUILD/f-spot-0.8.2/src/Clients/MainApp/FSpot/MainWindow.cs:2557 
  at FSpot.MainWindow..ctor (FSpot.Database.Db db) [0x00dd3] in /builddir/build/BUILD/f-spot-0.8.2/src/Clients/MainApp/FSpot/MainWindow.cs:509 
  at FSpot.App.get_Organizer () [0x0003d] in /builddir/build/BUILD/f-spot-0.8.2/src/Clients/MainApp/FSpot/App.cs:56 
  at FSpot.App.HandleOrganize () [0x0001c] in /builddir/build/BUILD/f-spot-0.8.2/src/Clients/MainApp/FSpot/App.cs:240 
  at FSpot.App.Organize () [0x00014] in /builddir/build/BUILD/f-spot-0.8.2/src/Clients/MainApp/FSpot/App.cs:102 
  at FSpot.Driver.Startup () [0x0013a] in /builddir/build/BUILD/f-spot-0.8.2/src/Clients/MainApp/FSpot/main.cs:352 
  at Hyena.Gui.CleanRoomStartup.Startup (Hyena.Gui.StartupInvocationHandler startup) [0x00044] in /builddir/build/BUILD/f-spot-0.8.2/lib/Hyena/Hyena.Gui/Hyena.Gui/CleanRoomStartup.cs:54 
[6 Debug 15:41:52.309] PhotosPerMonth took 0,001304
[6 Debug 15:41:52.310] TimeAdaptor REAL Reload took 0,206808
[2 Debug 15:41:57.103] Finalizer called on FSpot.Core.Category. Should be Disposed
[2 Debug 15:41:57.106] Finalizer called on FSpot.PhotoView. Should be Disposed


I tried to uninstall colord without succes (see problem with Fedora 18):
https://bugzilla.redhat.com/show_bug.cgi?id=903022

Comment 1 Fedora End Of Life 2015-05-29 10:15:37 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2015-06-29 13:59:32 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.